Bug 9889 - need to add udev rules for SCSI scanners
: need to add udev rules for SCSI scanners
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libsane)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 23381
  Show dependency tree
 
Reported: 2006-08-17 19:48 by
Modified: 2010-05-29 01:48 (History)


Attachments
75-libsane-scsi.rules (236 bytes, text/plain)
2006-08-17 19:54, Sergey Vlasov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-17 19:49:01
В пакете udev-096-alt1 сейчас содержатся правила udev для назначения прав
доступа к SCSI-сканерам:

BUS=="scsi", SYSFS{type}=="3", SYSFS{vendor}=="HP", GROUP="scanner"
BUS=="scsi", SYSFS{type}=="6",    GROUP="scanner"

Однако в связи с bug #9871 эти правила придётся оттуда убрать - проблема в том,
что группа scanner отсутствует в стандартном наборе групп, создаваемых пакетом
setup, и появляется в системе только после установки пакета libsane.
Предлагается перенести эти правила в пакет libsane - придётся создать отдельный
файл /etc/udev/rules.d/75-libsane-scsi.rules, поскольку эти правила должны
применяться после общих правил для /dev/sg[0-9]*.

Полный текст правил, которые требуется добавить, см. в приложенном файле.
------- Comment #1 From 2006-08-17 19:54:09 -------
Created an attachment (id=1593) [details]
75-libsane-scsi.rules

Предлагаемый набор правил для работы со SCSI-сканерами. Права доступа
устанавливаются для следующих устройств:

- устройства типа 3 (Processor) от HP - их сканеры выглядят на шине SCSI именно
таким образом;

- устройства типа 6 (Scanner).
------- Comment #2 From 2006-09-15 09:24:06 -------
спасибо,
fixed in 1.0.17-alt4